import { InjectionToken } from '@angular/core';
import { NgxWigComponent } from './ngx-wig.component';
export type CommandFunction = (ctx: NgxWigComponent) => void;
export interface TButton {
    label?: string;
    icon?: string;
    title?: string;
    children?: TButton[];
    command?: string | CommandFunction;
    styleClass?: string;
    visibleDropdown?: boolean;
    isOpenOnMouseOver?: boolean;
}
export interface TButtonLibrary {
    [name: string]: TButton;
}
export declare const DEFAULT_LIBRARY_BUTTONS: TButtonLibrary;
export declare const CUSTOM_LIBRARY_BUTTONS: TButtonLibrary;
export declare const BUTTONS: InjectionToken<TButton[][]>;
