import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { NgxWigToolbarService } from './ngx-wig-toolbar.service';
import { TButton, CommandFunction } from './config';
import { NgxWigFilterService } from './ngx-wig-filter.service';
import * as i0 from "@angular/core";
/** @dynamic */
export declare class NgxWigComponent implements OnInit, OnChanges, OnDestroy, ControlValueAccessor {
    private _ngWigToolbarService;
    private _filterService;
    private document;
    private window;
    content: string;
    placeholder: string;
    buttons: string;
    disabled: boolean;
    contentChange: EventEmitter<any>;
    ngxWigEditable: ElementRef;
    editMode: boolean;
    container: HTMLElement;
    toolbarButtons: TButton[];
    hasFocus: boolean;
    private _mutationObserver;
    constructor(_ngWigToolbarService: NgxWigToolbarService, _filterService: NgxWigFilterService, document: any, // cannot set Document here - Angular issue - https://github.com/angular/angular/issues/20351
    window: any);
    execCommand(command: string | CommandFunction, options?: string): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onContentChange(newContent: string): void;
    ngOnChanges(changes: SimpleChanges): void;
    onPaste(event: ClipboardEvent): void;
    onTextareaChange(newContent: string): void;
    writeValue(value: any): void;
    shouldShowPlaceholder(): boolean;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: () => void): void;
    propagateTouched: () => void;
    onBlur(): void;
    setDisabledState(isDisabled: boolean): void;
    isInnerTextEmpty(content: string): boolean;
    private pasteHtmlAtCaret;
    private propagateChange;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxWigComponent, [null, { optional: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxWigComponent, "ngx-wig", never, { "content": { "alias": "content"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "buttons": { "alias": "buttons"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "contentChange": "contentChange"; }, never, never, false, never>;
}
